[arch-commits] Commit in libvisual-plugins/trunk (PKGBUILD libvisual-plugins.install)

Jan de Groot jgc at archlinux.org
Sun Jan 17 09:53:27 EST 2010


    Date: Sunday, January 17, 2010 @ 09:53:27
  Author: jgc
Revision: 63448

upgpkg: libvisual-plugins 0.4.0-3
    Rebuild for libpng14/libjpeg8

Modified:
  libvisual-plugins/trunk/PKGBUILD
Deleted:
  libvisual-plugins/trunk/libvisual-plugins.install

---------------------------+
 PKGBUILD                  |   11 +++++------
 libvisual-plugins.install |   22 ----------------------
 2 files changed, 5 insertions(+), 28 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-17 14:53:08 UTC (rev 63447)
+++ PKGBUILD	2010-01-17 14:53:27 UTC (rev 63448)
@@ -3,21 +3,20 @@
 
 pkgname=libvisual-plugins
 pkgver=0.4.0
-pkgrel=2
+pkgrel=3
 pkgdesc="plugins for libvisual"
 arch=("i686" "x86_64")
 license=('GPL')
 url="http://www.localhost.nl/~synap/libvisual/"
-depends=('libvisual>=0.4.0' 'gtk2' 'mesa' 'alsa-lib' 'esd' 'jack-audio-connection-kit')
+depends=('libvisual>=0.4.0' 'gtk2>=2.18.6' 'mesa>=7.7' 'alsa-lib' 'esound' 'jack-audio-connection-kit')
 makedepends=(pkgconfig)
-install=libvisual-plugins.install
 source=("http://downloads.sourceforge.net/sourceforge/libvisual/libvisual-plugins-${pkgver}.tar.gz")
 md5sums=('4330e9287f9d6fae02f482f428a1e77b')
 options=(!libtool)
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr  --enable-alsa --disable-gstreamer-plugin
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr  --enable-alsa --disable-gstreamer-plugin || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR="${pkgdir}" install || return 1
 }

Deleted: libvisual-plugins.install
===================================================================
--- libvisual-plugins.install	2010-01-17 14:53:08 UTC (rev 63447)
+++ libvisual-plugins.install	2010-01-17 14:53:27 UTC (rev 63448)
@@ -1,22 +0,0 @@
-post_install() {
-  cat << EOF
-
-==> libvisual-plugins has been built with support for "esd" and
-==> "jack-audio-connection-kit" input.
-==> If you want to use them, install them.
-
-EOF
-}
-
-post_upgrade() {
-  post_install $1
-}
-
-pre_remove() {
-  /bin/true
-}
-
-op=$1
-shift
-
-$op $*



More information about the arch-commits mailing list